$( "#toUpload" ).bind( "change", function(eve) {
    const files = eve.target.files;
    setUploadListTitles(files);

});

$( "#uploadFiles" ).bind( "click", function(eve) {
    const files = document.getElementById('toUpload').files;
    uploadFiles(files);
});

$( "#uploadText" ).bind( "click", function(eve) {
    const note = document.getElementById('noteArea').value;
    uploadTextEntry(note.trim());
});

$( "#deleteTextBtn" ).bind( "click", function(eve) {
    const note = document.getElementById('toDeleteText').innerText;
    deleteTextAction(eve.target, note);
});

$( "#googlePicker" ).bind( "click", function(eve) {
    showGooglePicker();
});

// Scroll into view events...
$( "#notesToViewBtn" ).bind( "click", function(eve) {
    const elm = document.getElementById("notesToView");
    elm.scrollIntoView();
});
$( "#filesToViewBtn" ).bind( "click", function(eve) {
    const elm = document.getElementById("filesToView");
    elm.scrollIntoView();
});


// Edit events
const preEditFile = (elm = null) => {
    if (elm == '' || elm == undefined) {
        return;
    }

    document.getElementById('toEditFileName').innerText = elm.getAttribute('fileName');
    document.getElementById('newEditName').value = elm.getAttribute('fileName');
    document.getElementById('editFileBtn').setAttribute("fileHash", elm.getAttribute('fileHash'));
}

const editFile = (elm = null) => {
    const newName = document.getElementById('newEditName').value.trim();
    const hash    = elm.getAttribute('fileHash').trim();
    editAction(newName, hash);
}


// Delete events
const preDeleteText = (elm = null) => {
    if (elm == '' || elm == undefined) {
        displayMessage("No text to delete...", "alert-warning");
        return;
    }

    document.getElementById('toDeleteText').innerText = elm.innerText;
    document.getElementById('deleteTextBtn').setAttribute("textClass", elm.className);
}


const preDeleteFile = (elm = null) => {
    if (elm == '' || elm == undefined) {
        displayMessage("No file to delete...", "alert-warning");
        return;
    }

    document.getElementById('toDeleteFileName').innerText = elm.getAttribute('fileName');
    document.getElementById('deleteFileBtn').setAttribute("fileHash", elm.getAttribute('fileHash'));
}

const deleteFile = (elm = null) => {
    if (elm == '' || elm == undefined) {
        displayMessage("No file to delete...", "alert-warning");
        return;
    }
    const hash = elm.getAttribute('fileHash').trim();
    deleteAction(hash);
}
